<?php function glatitudehistory_settings() { ?>

	<script type="text/javascript">

		var $j = jQuery.noConflict();
		$j(function(){
			$j('#replace_css').click(function() {
				$j('#custom_css').val("<?php echo DEFAULT_CSS; ?>");
				alert("Custom CSS has been replaced with the Default CSS");
			});
		});
	
	</script>

	<form name="latitude_settings" method="post" action="<?php //echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">

		<p>
			<input type="submit" name="submit" value="Sync Location History" />
		</p>
		<br/>
		<?php // not using http://domain.com in callback b/c it will cause the link to go to a 404 page ?>
		<a href="<?php echo WP_PLUGIN_URL; ?>/google-latitude-history/redirect.php?callback=%2Fwp-admin%2Foptions-general.php">Refresh OAuth Token</a>
		
		<br/><br/><br/>
		
		<table>
			<tr>
				<td>OAuth Consumer Key: </td>
				<td>
					<input type="text" name="oauth_consumer_key" class="regular-text" value="<?php echo get_option('glatitudehistory_oauth_consumer_key'); ?>" />
				</td>
			</tr>
			<tr>
				<td>OAuth Consumer Secret: </td>
				<td>
					<input type="text" name="oauth_consumer_secret" class="regular-text" value="<?php echo get_option('glatitudehistory_oauth_consumer_secret'); ?>" />
				</td>
			</tr>
			<tr>
				<td>Granularity: </td>
				<td>
					<select name="granularity" style="width:6em;">
						<option value="city" <?php if(get_option('glatitudehistory_granularity') == 'city') { echo 'selected="selected"'; } ?> >city</option>
						<option value="best" <?php if(get_option('glatitudehistory_granularity') == 'best') { echo 'selected="selected"'; } ?> >best</option>
					</select>
				</td>
			</tr>
			<tr>
				<td>Maximum Number of Point: </td>
				<td>
					<input type="text" name="max_locations" class="regular-text" value="<?php echo get_option('glatitudehistory_max_locations'); ?>" maxlength="2" style="width:4em;" />
				</td>
			</tr>
			<tr>
				<td>Custom CSS for Map Div:</td>
				<td>
					<textarea name="custom_css" id="custom_css" class="regular-text" style="width:300px;height:120px;"><?php echo get_option('glatitudehistory_custom_css'); ?></textarea>
					<br/>
					<a href="#" id="replace_css" onclick="return false;">replace with default css</a>
				</td>
			</tr>
		</table>	
			
		<p>
			<input type="submit" name="submit" value="Update Options" />
		</p>
		<br/>
		<p style="font-weight:bold;">ShortCode Options [glatitude-map /]</p>
		<ul style="list-style-type:circle;padding-left:20px;">
			<li>height = height of the map in pixels</li>
			<li>width = width of the map in pixels</li>
			<li>max = maximum number of tweetss to display on the map</li>
			<li>maptype = Google map type ( HYBRID, ROADMAP, SATELLITE, TERRAIN )</li>
			<li>mapcontrol = show map type control ( true / false )</li>
			<li>controlstyle = map control style ( DEFAULT, DROPDOWN_MENU, HORIZONTAL_BAR )</li>
			<li>zoomcontrol = show zoom controls ( true / false )</li>
			<li>zoomstyle = zoom control style ( DEFAULT, SMALL, LARGE )</li>
			<li>pancontrol = show pan control ( true / false )</li>
			<li>streetcontrol = show steet view control ( true / false )</li>
			<li>haveoverview = include overview map button ( true / false )</li>
			<li>openoverview = open overview map ( true / false )</li>
			<li>disabledefaultui = disable default UI ( true / false )</li>
			<li>showpath = show path between the tweets ( true / false )</li>
			<li>pathcolor = color of the path ( HTML color codes )</li>
			<li>pathweight = weight of the path in pixels</li>
			<li>pathopacity = opacity of the path ( 0.0 - 1.0 )</li>
			<li>currentcolor = color of the marker for the latest tweet ( HTML color codes )</li>
			<li>pastcolor = color of the marker for past tweets ( HTML color codes )</li>
			<li>openwindow = open current location's info window ( true / false )</li>
		</ul>
	</form>

<?php } ?>